OaIdl.TLIBATTR (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: OaIdl, class: TLIBATTR

Package com.sun.jna.platform.win32

# Class OaIdl.TLIBATTR

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.OaIdl.TLIBATTR

Direct Known Subclasses:
  `OaIdl.TLIBATTR.ByReference`

Enclosing interface:
  OaIdl

@FieldOrder({"guid","lcid","syskind","wMajorVerNum","wMinorVerNum","wLibFlags"}) public static class OaIdl.TLIBATTR extends Structure

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `OaIdl.TLIBATTR.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Guid.GUID`
  `guid`
  `WinDef.LCID`
  `lcid`
  `OaIdl.SYSKIND`
  `syskind`
  `WinDef.WORD`
  `wLibFlags`
  `WinDef.WORD`
  `wMajorVerNum`
  `WinDef.WORD`
  `wMinorVerNum`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TLIBATTR()`
  `TLIBATTR(Pointer pointer)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### guid

    public Guid.GUID guid

  - ### lcid

    public WinDef.LCID lcid

  - ### syskind

    public OaIdl.SYSKIND syskind

  - ### wMajorVerNum

    public WinDef.WORD wMajorVerNum

  - ### wMinorVerNum

    public WinDef.WORD wMinorVerNum

  - ### wLibFlags

    public WinDef.WORD wLibFlags

- ## Constructor Details

  - ### TLIBATTR

    public TLIBATTR()

  - ### TLIBATTR

    public TLIBATTR(Pointer pointer)